; ----------------------------------------------------------------------------
;
; AutoIt Version: 3.2.2.0
; Author:         ddSHADOW
;
; Script Function:
;	Windows Live Messenger + Plus Live! + Patch + MORE...
;
; Version: 1.3
;
; ----------------------------------------------------------------------------
#cs  ----------------------------------------------------------------------------
Changelog
1.3
- all setings are in config.ini no need to edit script anymore
- added new code to install Windows Live Safety Scanner(x86 or x64) autodetect if Windows x64
- added new code to install Ink
- added Remove My Sharing Folders in My Computer for Windows Live Messenger for all that dont use patch version (mess or a-patch)
- silent install of Messenger Plus! Live
- code cleanup

1.2  Not released
- Autodetect plus version

1.1 Number of downloads: 182
- updated for Windows Live Messenger 8.0.0812
- Rhapsody Music Service option removed 
- Windows Live Toolbar option added
- changed some code for easy translations (removed &Next sections with ControlClick ($title,"", "Button1") options
- added logo

1.0 Number of downloads: 42
- starting script


Features:
- simple config all settings are in config.ini no need to edit script anymore
- installs Windows Live Messenger and remove old one if exists
- installs Messenger Plus! Live (silent)
- installs Windows Live Safety Scanner(x86 or x64) autodetect if Windows x64
- installs Ink
- Remove My Sharing Folders in My Computer for Windows Live Messenger for all that dont use patch version (mess or a-patch)
- installs patched files

How to use:
- check config.ini and set what u want with "Y" OR "N"
- extract the MsnMsgs.msi from Install_Messenger.exe (downloaded version) to SETUP folder
- copy installation files (MsnMsgs.msi , MsgPlusLive*.exe, WindowsLiveSafetyScanner.exe, WindowsLiveSafetyScanner_x64.exe)
  to SETUP folder
- if u use Windows Live Safety Scanner x64 rename the setup file to WindowsLiveSafetyScanner_x64.exe
- use Mess Patcher or A-patch before u run this script and copy patched files (msgslang.dll,msgsres.dll,msidcrl40.dll,msnmsgr.exe) to patch folder
- change custom messages if u like
- to use on non-english setup's u need to change the text's in Language change in Windows Live Messenger script settings

Links:
http://get.live.com/messenger/overview  Windows Live Messenger
http://www.msgpluslive.net/             Messenger Plus! Live 
http://www.jtow.net/~triess/index.htm   Shark's file Repository (WindowsLiveSafetyScanner,InkInstaller)

For patching use one of those:
http://apatch.org/
http://mess.be/


Script will work for newer versions if the installers not change.
If any problems contact me via PM (dont send emails).
#ce  ----------------------------------------------------------------------------


;~ DON'T EDIT BELOW IF DON'T KNOW WHAT U'r DOING 
;~ DON'T EDIT BELOW IF DON'T KNOW WHAT U'r DOING 
;~ DON'T EDIT BELOW IF DON'T KNOW WHAT U'r DOING 

; ----------------------------------------------------------------------------
; Set up our defaults
; ----------------------------------------------------------------------------
 Opt('TrayIconHide', 1)
;~  Opt	("CaretCoordMode",	1)	; 1=absolute, 0=relative
;~  Opt	("ExpandEnvStrings",	0)	; 0=don't expand, 1=do expand
 Opt	("MouseClickDelay",	10)	; 10 milliseconds
 Opt	("MouseClickDownDelay",	10)	; 10 milliseconds
 Opt	("MouseClickDragDelay",	100)	; 250 milliseconds
 Opt	("MouseCoordMode",	0)	; 1=absolute, 0=relative
 Opt	("MustDeclareVars",	0)	; 0=no, 1=require pre-declare
 Opt	("SendKeyDelay",	1)	; 5 milliseconds
 Opt	("SendKeyDownDelay",	1)	; 1 millisecond
 Opt	("TrayIconDebug",	1)	; 0=no info, 1=debug line info
;~  Opt	("WinDetectHiddenText",	0)	; 0=don't detect, 1=do detect
;~  Opt	("WinSearchChildren",	1)	; 0=no, 1=search children also
;~  Opt	("WinTitleMatchMode",	3)	; 1=start, 2=subStr, 3=exact, 4=...
 Opt	("WinWaitDelay",	100)	; 250 milliseconds

; ----------------------------------------------------------------------------
;Functions
; ----------------------------------------------------------------------------
#include <Constants.au3>
; ----------------------------------------------------------------------------
; ----------------------------------------------------------------------------
; Prevent Duplicates From Running
; ----------------------------------------------------------------------------

If WinExists(@ScriptName) Then Exit
AutoItWinSetTitle(@ScriptName)

; ----------------------------------------------------------------------------
; Script Functions
; ----------------------------------------------------------------------------

Func _Check( $i1 , $i2 )
	If $i1 = "y" AND ControlCommand ( $Title , "" , $i2 , "IsChecked" , "" ) <> 1 Then ControlClick ( $Title , "" , $i2 )
	If $i1 = "n" AND ControlCommand ( $Title , "" , $i2 , "IsChecked" , "" )  = 1 Then ControlClick ( $Title , "" , $i2 )
	EndFunc

; ----------------------------------------------------------------------------
; GLOBAL SETTINGS 
; ----------------------------------------------------------------------------
;Read from config.ini
$INSTALL_MSG=IniRead("config.ini", "setup", "$INSTALL_MSG", "NotFound")
;~ MsgBox(4096, "$INSTALL_MSG", $INSTALL_MSG)
$INSTALL_ANTIVIRUS=IniRead("config.ini", "setup", "$INSTALL_ANTIVIRUS", "NotFound")
;~ MsgBox(4096, "$INSTALL_ANTIVIRUS", $INSTALL_ANTIVIRUS)
$INSTALL_INK=IniRead("config.ini", "setup", "$INSTALL_INK", "NotFound")
;~ MsgBox(4096, "$INSTALL_INK", $INSTALL_INK)
$REMOVE_SHARING=IniRead("config.ini", "setup", "$REMOVE_SHARING", "NotFound")
;~ MsgBox(4096, "$REMOVE_SHARING", $REMOVE_SHARING)
$INSTALL_PLUS=IniRead("config.ini", "setup", "$INSTALL_PLUS", "NotFound")
;~ MsgBox(4096, "$INSTALL_PLUS", $INSTALL_PLUS)
$INSTALL_PATCH=IniRead("config.ini", "setup", "$INSTALL_PATCH", "NotFound")
;~ MsgBox(4096, "$INSTALL_PATCH", $INSTALL_PATCH)


; ----------------------------------------------------------------------------
; SETTINGS Windows Live Messenger
; ----------------------------------------------------------------------------
If $INSTALL_MSG= "Y" Then

;Installers
$installer='\setup\MsnMsgs.msi" '

; Options
$OP_1=IniRead("config.ini", "messenger", "$OP_1", "NotFound");	(Y)es or (N)o - Windows Live Messenger shortcuts
$OP_2=IniRead("config.ini", "messenger", "$OP_2", "NotFound");	(Y)es or (N)o - Windows Live Sign-in Assistant 
$OP_3=IniRead("config.ini", "messenger", "$OP_3", "NotFound");	(Y)es or (N)o - Start with Windows
$OP_4=IniRead("config.ini", "messenger", "$OP_4", "NotFound");	(Y)es or (N)o - MSN Home
$OP_5=IniRead("config.ini", "messenger", "$OP_5", "NotFound");	(Y)es or (N)o - Windows Live Toolbar 

; Language change for Windows Live Messenger
$title="Windows Live Messenger Setup Wizard"
$repair="Repair or remove Windows Live Messenger"
$removed="Windows Live Messenger has been removed"
$install="Install Windows Live Messenger"
$net="Terms of Use and Privacy Statement"
$feature="Choose additional features and settings"
$finnish="You've successfully installed Windows Live Messenger"

; ----------------------------------------------------------------------------
; Installation Windows Live Messenger
; ----------------------------------------------------------------------------
;LOGO
;SpashImage features: Title=No, Width=61, Height=62, Always On Top
SplashImageOn("",@ScriptDir & "\setup\windows-live-messsenger-logo.jpg","259","259","-1","-1",1)
;~ ProcessClose("firefox.exe")
Run(@SystemDir & '\msiexec /i "' & @ScriptDir & $installer)
While 1
	WinWaitActive($title)
Select
	Case WinActive ($title,$repair)
		ControlClick ($title,$repair, "Button2")
		WinWaitActive($title,$removed)
		ControlClick ($title,$removed, "Button1")
		Run(@SystemDir & '\msiexec /i "' & @ScriptDir & $installer)	
	
	Case WinActive ($title,$install)
		ControlClick ($title,$install, "Button1")
		WinWaitActive($title,$net)
	ControlClick ($title,$net,"Button2")
	ControlClick ($title,$net,"Button4")
	WinWaitActive($title,$feature)
	If $OP_1= "N" Then
	ControlClick ($title,$feature, "Button4")
	EndIf
	If $OP_2= "N" Then
	ControlClick ($title,$feature, "Button5")
	EndIf
	If $OP_4= "N" Then
	ControlClick ($title,$feature, "Button6")
	EndIf
	If $OP_5= "N" Then
	ControlClick ($title,$feature, "Button7")
	EndIf
	ControlClick ($title,$feature, "Button1")
	WinWaitActive($title,$finnish)
	ControlClick ($title,$finnish, "Button1")
	ExitLoop
EndSelect
WEnd
EndIf
; ----------------------------------------------------------------------------
; Installation Antivirus
; ----------------------------------------------------------------------------
If $INSTALL_ANTIVIRUS= "Y" Then
SplashTextOn("","Windows Live Safety Scanner","500","50","-1","-1",33,"Courier New","20","700")
Sleep (3000)
$antivirus=@ScriptDir & "\setup\WindowsLiveSafetyScanner.exe"
$antivirus_x64=@ScriptDir & "\setup\WindowsLiveSafetyScanner_x64.exe"
If FileExists ( @WindowsDir & "\SysWOW64\cmd.exe") Then
	RunWait($antivirus_x64)
Else
	RunWait($antivirus)
EndIf
EndIf
; ----------------------------------------------------------------------------
; Installation InkInstaller
; ----------------------------------------------------------------------------
If $INSTALL_INK= "Y" Then
SplashTextOn("","Installation Ink","300","50","-1","-1",33,"Courier New","20","700")
Sleep (3000)
$ink="\setup\InkInstaller.exe"
RunWait(@ScriptDir & $ink)
EndIf
; ----------------------------------------------------------------------------
;Remove My Sharing Folders in My Computer for Windows Live Messenger
;For all that dont use patch version
; ----------------------------------------------------------------------------
If $REMOVE_SHARING= "Y" Then
SplashTextOn("","Remove My Sharing Folders","500","50","-1","-1",33,"Courier New","20","700")
Sleep (3000)
$version=RegRead("HKEY_CURRENT_USER\Software\Microsoft\MSNMessenger","AppCompatCanary")
;MsgBox(0,"version",$version)
$switch="%PROGRAMFILES%\MSN Messenger\fsshext."& $version & ".00.dll"
;MsgBox(0,"version",$switch)
$final="regsvr32 -u" & $switch
Run($final)
WinWaitActive("RegSvr32")
ControlClick ("RegSvr32","", "Button1")
EndIf
; ----------------------------------------------------------------------------
; Installation Messenger Plus! Live 
; ----------------------------------------------------------------------------
If $INSTALL_PLUS= "Y" Then
;LOGO
;SpashImage features: Title=No, Width=61, Height=62, Always On Top
SplashImageOn("",@ScriptDir & "\setup\MessengerPlus!Live.jpg","320","84","-1","-1",1)
;Search for setup file
$search = FileFindFirstFile(@ScriptDir & "\setup\" & "MsgPlusLive*.exe")
;~ MsgBox (1,"",$search)
; Check if the search was successful
If $search = -1 Then
    MsgBox(0, "Error", "No MSN PLus setup detected",2)
EndIf
While 1
    $file = FileFindNextFile($search) 
    If @error Then ExitLoop
    $installer=$file & " /Silent /InstallScripts=1"
;~     MsgBox(4096, "File:", $installer)
WEnd

RunWait(@ScriptDir & "\setup\" & $installer)

#cs
;~ OLD INSTALLER
$title="Messenger Plus! Live - Setup"
WinWaitActive($title,"Welcome !")
ControlClick ($title,"", "Button3")
WinWaitActive($title,"Installation Folder")
ControlClick ($title,"", "Button3")
ControlClick ($title,"", "Button7")
WinWaitActive($title,"Messenger Plus! Live License Agreement")
ControlClick ($title,"", "Button4")
ControlClick ($title,"","Button8")
;~ ProcessWait("msnmsgr.exe")
;~ ProcessClose("msnmsgr.exe")
;~ ProcessClose("iexplore.exe")
;~ ProcessClose("firefox.exe")
#CE
EndIf
; ----------------------------------------------------------------------------
; Installation PATCH
; ----------------------------------------------------------------------------
If $INSTALL_PATCH= "Y" Then
SplashTextOn("","Installation PATCH","300","50","-1","-1",33,"Courier New","20","700")
Sleep (3000)
;Copy files
$path = @ProgramFilesDir  & "\MSN Messenger" & "\"
	FileCopy(@ScriptDir & "\setup\patch\msgslang*.dll" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\msgsres.dll" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\msnmsgr.exe" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\msidcrl40.dll" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\newemail.wma" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\nudge.wma" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\online.wma" , $path,1)
	FileCopy(@ScriptDir & "\setup\patch\type.wma" , $path,1)
EndIf
; ----------------------------------------------------------------------------
; DISABLE AUTORUN
; ----------------------------------------------------------------------------
If $INSTALL_MSG= "Y" Then
If $OP_3= "N" Then
RegDelete("HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run", "MsnMsgr")
EndIf
EndIf
SplashTextOn("","Finished","300","50","-1","-1",33,"Courier New","20","700")
Sleep (3000)
exit